aboutsummaryrefslogtreecommitdiff
path: root/src
diff options
context:
space:
mode:
authorBruce Momjian <bruce@momjian.us>1997-09-08 04:19:50 +0000
committerBruce Momjian <bruce@momjian.us>1997-09-08 04:19:50 +0000
commit108baf70e5bd93e8281eb67ec14b4755c75d0a4d (patch)
treee49bcb955f6c0c14cbf7fd445f54beb1b5d9be01 /src
parent125079e6d7f96d67bfa751560525fc96a57a5f6d (diff)
downloadpostgresql-108baf70e5bd93e8281eb67ec14b4755c75d0a4d.tar.gz
postgresql-108baf70e5bd93e8281eb67ec14b4755c75d0a4d.zip
Developer reorganization.
Diffstat (limited to 'src')
-rwxr-xr-xsrc/tools/make_ctags10
-rwxr-xr-xsrc/tools/make_etags10
-rwxr-xr-xsrc/tools/make_mkid7
3 files changed, 27 insertions, 0 deletions
diff --git a/src/tools/make_ctags b/src/tools/make_ctags
new file mode 100755
index 00000000000..ef99564694c
--- /dev/null
+++ b/src/tools/make_ctags
@@ -0,0 +1,10 @@
+#!/bin/sh
+trap "rm -f /tmp/$$" 0 1 2 3 15
+rm -f ./tags
+find `pwd`/ -type f -name '*.[chyl]' -print|xargs ctags -t -a -f tags
+sort tags >/tmp/$$ && mv /tmp/$$ tags
+
+find . -type d -print |while read DIR
+do
+ [ "$DIR" != "." ] && ln -f -s `pwd`/tags $DIR/tags
+done
diff --git a/src/tools/make_etags b/src/tools/make_etags
new file mode 100755
index 00000000000..94b9597aa40
--- /dev/null
+++ b/src/tools/make_etags
@@ -0,0 +1,10 @@
+#!/bin/sh
+trap "rm -f /tmp/$$" 0 1 2 3 15
+rm -f ./TAGS
+find `pwd`/ -type f -name '*.[chyl]' -print | \
+ xargs etags --append --output=TAGS
+
+find . -type d -print | \
+while read DIR; do
+ [ "$DIR" != "." ] && ln -f -s `pwd`/TAGS $DIR
+done
diff --git a/src/tools/make_mkid b/src/tools/make_mkid
new file mode 100755
index 00000000000..01ed0f079b2
--- /dev/null
+++ b/src/tools/make_mkid
@@ -0,0 +1,7 @@
+#!/bin/sh
+find `pwd`/ -type f -name '*.[chyl]' -print|sed 's;//;/;g' | mkid -S.gen=C -
+
+find . -type d -print |while read DIR
+do
+ [ "$DIR" != "." ] && ln -f -s `pwd`/ID $DIR/ID
+done